diff --git a/doc/guides/freebsd_gsg/build_dpdk.rst b/doc/guides/freebsd_gsg/build_dpdk.rst
index 5fdab44..8eff599 100644
--- a/doc/guides/freebsd_gsg/build_dpdk.rst
+++ b/doc/guides/freebsd_gsg/build_dpdk.rst
@@ -30,28 +30,28 @@
 
 .. _building_from_source:
 
-Compiling the Intel® DPDK Target from Source
-============================================
+Compiling the DPDK Target from Source
+=====================================
 
 .. note::
 
     Testing has been performed using FreeBSD* 10.0-RELEASE (x86_64) and requires the
     installation of the kernel sources, which should be included during the
-    installation of FreeBSD*.   The Intel® DPDK also requires the use of FreeBSD*
+    installation of FreeBSD*. The DPDK also requires the use of FreeBSD*
     ports to compile and function.
 
 System Requirements
 -------------------
 
-The Intel® DPDK and its applications require the GNU make system (gmake)
+The DPDK and its applications require the GNU make system (gmake)
 to build on FreeBSD*. Optionally, gcc may also be used in place of clang
-to build the Intel® DPDK, in which case it too must be installed prior to
-compiling the Intel® DPDK. The installation of these tools is covered in this
+to build the DPDK, in which case it too must be installed prior to
+compiling the DPDK. The installation of these tools is covered in this
 section.
 
-Compiling the Intel® DPDK requires the FreeBSD kernel sources, which should be
+Compiling the DPDK requires the FreeBSD kernel sources, which should be
 included during the installation of FreeBSD* on the development platform.
-The Intel® DPDK also requires the use of FreeBSD* ports to compile and function.
+The DPDK also requires the use of FreeBSD* ports to compile and function.
 
 To use the FreeBSD* ports system, it is required to update and extract the FreeBSD*
 ports tree by issuing the following commands:
@@ -69,7 +69,7 @@ using:
     root@host:~ # setenv http_proxy <my_proxy_host>:<port>
     root@host:~ # setenv ftp_proxy <my_proxy_host>:<port>
 
-The FreeBSD* ports below need to be installed prior to building the Intel® DPDK.
+The FreeBSD* ports below need to be installed prior to building the DPDK.
 In general these can be installed using the following set of commands:
 
 #.  cd /usr/ports/<port_location>
@@ -97,7 +97,7 @@ GNU make(gmake)
 coreutils
    /usr/ports/sysutils/coreutils
 
-For compiling and using the Intel® DPDK with gcc, it too must be installed
+For compiling and using the DPDK with gcc, it too must be installed
 from the ports collection:
 
 gcc: version 4.8 is recommended
@@ -105,7 +105,7 @@ gcc: version 4.8 is recommended
    (Ensure that CPU_OPTS is selected (default is OFF))
 
 When running the make config-recursive command, a dialog may be presented to the
-user. For the installation of the Intel® DPDK, the default options were used.
+user. For the installation of the DPDK, the default options were used.
 
 .. note::
 
@@ -114,10 +114,10 @@ user. For the installation of the Intel® DPDK, the default options were used.
     make config -recursive command until no more dialogs are seen.
 
 
-Install the Intel® DPDK and Browse Sources
-------------------------------------------
+Install the DPDK and Browse Sources
+-----------------------------------
 
-First, uncompress the archive and move to the Intel® DPDK source directory:
+First, uncompress the archive and move to the DPDK source directory:
 
 .. code-block:: console
 
@@ -126,20 +126,20 @@ First, uncompress the archive and move to the Intel® DPDK source directory:
     user@host:~/DPDK # ls
     app/ config/ examples/ lib/ LICENSE.GPL LICENSE.LGPL Makefile mk/ scripts/ tools/
 
-The Intel® DPDK is composed of several directories:
+The DPDK is composed of several directories:
 
-*   lib: Source code of Intel® DPDK libraries
+*   lib: Source code of DPDK libraries
 
-*   app: Source code of Intel® DPDK applications (automatic tests)
+*   app: Source code of DPDK applications (automatic tests)
 
-*   examples: Source code of Intel® DPDK applications
+*   examples: Source code of DPDK applications
 
 *   config, tools, scripts, mk: Framework-related makefiles, scripts and configuration
 
-Installation of the Intel® DPDK Target Environments
----------------------------------------------------
+Installation of the DPDK Target Environments
+--------------------------------------------
 
-The format of an Intel® DPDK target is:
+The format of a DPDK target is:
 
 ARCH-MACHINE-EXECENV-TOOLCHAIN
 
@@ -153,7 +153,7 @@ Where:
 
 *   TOOLCHAIN is: gcc | clang
 
-The configuration files for the Intel® DPDK targets can be found in the DPDK/config
+The configuration files for the DPDK targets can be found in the DPDK/config
 directory in the form of:
 
 ::
@@ -166,7 +166,7 @@ directory in the form of:
     Within the configuration files, the RTE_MACHINE configuration value is set
     to native, which means that the compiled software is tuned for the platform
     on which it is built.  For more information on this setting, and its
-    possible values, see the *Intel® DPDK Programmers Guide*.
+    possible values, see the *DPDK Programmers Guide*.
 
 To install and make the target, use "gmake install T=<target>".
 
@@ -183,11 +183,11 @@ For example to compile for FreeBSD* use:
 	specified. For example, if compiling for gcc, where the gcc binary is called
 	gcc4.8, the command would need to be "gmake install T=<target> CC=gcc4.8".
 
-Browsing the Installed Intel® DPDK Environment Target
------------------------------------------------------
+Browsing the Installed DPDK Environment Target
+----------------------------------------------
 
 Once a target is created, it contains all the libraries and header files for the
-Intel® DPDK environment that are required to build customer applications.
+DPDK environment that are required to build customer applications.
 In addition, the test and testpmd applications are built under the build/app
 directory, which may be used for testing.  A kmod directory is also present that
 contains the kernel modules to install:
@@ -200,15 +200,15 @@ contains the kernel modules to install:
 
 .. _loading_contigmem:
 
-Loading the Intel® DPDK contigmem Module
-----------------------------------------
+Loading the DPDK contigmem Module
+---------------------------------
 
-To run an Intel® DPDK application, physically contiguous memory is required.
+To run a DPDK application, physically contiguous memory is required.
 In the absence of non-transparent superpages, the included sources for the
 contigmem kernel module provides the ability to present contiguous blocks of
-memory for the Intel® DPDK to use. The contigmem module must be loaded into the
-running kernel before any Intel® DPDK is run.  The module is found in the kmod
-sub-directory of the Intel® DPDK target directory.
+memory for the DPDK to use. The contigmem module must be loaded into the
+running kernel before any DPDK is run.  The module is found in the kmod
+sub-directory of the DPDK target directory.
 
 The amount of physically contiguous memory along with the number of physically
 contiguous blocks to be reserved by the module can be set at runtime prior to
@@ -237,7 +237,7 @@ contiguous memory.  A default of two buffers of size 1073741824 bytes (1 Gigabyt
 each is set during module load if they are not specified in the environment.
 
 The module can then be loaded using kldload (assuming that the current directory
-is the Intel® DPDK target directory):
+is the DPDK target directory):
 
 .. code-block:: console
 
@@ -275,13 +275,13 @@ To avoid this error, reduce the number of buffers or the buffer size.
 
 .. _loading_nic_uio:
 
-Loading the Intel® DPDK nic_uio Module
---------------------------------------
+Loading the DPDK nic_uio Module
+-------------------------------
 
 After loading the contigmem module, the nic_uio must also be loaded into the
-running kernel prior to running any Intel® DPDK application.  This module must
+running kernel prior to running any DPDK application.  This module must
 be loaded using the kldload command as shown below (assuming that the current
-directory is the Intel® DPDK target directory).
+directory is the DPDK target directory).
 
 .. code-block:: console
 
@@ -308,12 +308,12 @@ and place the following into /boot/loader.conf:
     nic_uio_load="YES" must appear after the contigmem_load directive, if it exists.
 
 By default, the nic_uio module will take ownership of network ports if they are
-recognized Intel® DPDK devices and are not owned by another module. However, since
+recognized DPDK devices and are not owned by another module. However, since
 the FreeBSD kernel includes support, either built-in, or via a separate driver
 module, for most network card devices, it is likely that the ports to be used are
 already bound to a driver other than nic_uio. The following sub-section describe
 how to query and modify the device ownership of the ports to be used by
-Intel® DPDK applications.
+DPDK applications.
 
 .. _binding_network_ports:
 
diff --git a/doc/guides/freebsd_gsg/build_sample_apps.rst b/doc/guides/freebsd_gsg/build_sample_apps.rst
index dd8c974..e198c6a 100644
--- a/doc/guides/freebsd_gsg/build_sample_apps.rst
+++ b/doc/guides/freebsd_gsg/build_sample_apps.rst
@@ -33,34 +33,34 @@
 Compiling and Running Sample Applications
 =========================================
 
-The chapter describes how to compile and run applications in an Intel® DPDK
+The chapter describes how to compile and run applications in a DPDK
 environment. It also provides a pointer to where sample applications are stored.
 
 Compiling a Sample Application
 ------------------------------
 
-Once an Intel® DPDK target environment directory has been created (such as
+Once a DPDK target environment directory has been created (such as
 x86_64-native-bsdapp-clang), it contains all libraries and header files required
 to build an application.
 
-When compiling an application in the FreeBSD* environment on the Intel® DPDK,
+When compiling an application in the FreeBSD* environment on the DPDK,
 the following variables must be exported:
 
-*   RTE_SDK - Points to the Intel® DPDK installation directory.
+*   RTE_SDK - Points to the DPDK installation directory.
 
-*   RTE_TARGET - Points to the Intel® DPDK target environment directory.
+*   RTE_TARGET - Points to the DPDK target environment directory.
     For FreeBSD*, this is the x86_64-native-bsdapp-clang or
     x86_64-native-bsdapp-gcc directory.
 
 The following is an example of creating the helloworld application, which runs
-in the Intel® DPDK FreeBSD* environment. While the example demonstrates compiling
+in the DPDK FreeBSD* environment. While the example demonstrates compiling
 using gcc version 4.8, compiling with clang will be similar, except that the "CC="
 parameter can probably be omitted. The "helloworld" example may be found in the
 ${RTE_SDK}/examples directory.
 
 The directory contains the main.c file.  This file, when combined with the
-libraries in the Intel® DPDK target environment, calls the various functions to
-initialize the Intel® DPDK environment, then launches an entry point (dispatch
+libraries in the DPDK target environment, calls the various functions to
+initialize the DPDK environment, then launches an entry point (dispatch
 application) for each core to be utilized.  By default, the binary is generated
 in the build directory.
 
@@ -80,8 +80,8 @@ in the build directory.
 .. note::
 
     In the above example, helloworld was in the directory structure of the
-    Intel® DPDK.  However, it could have been located outside the directory
-    structure to keep the Intel® DPDK structure intact.  In the following case,
+    DPDK.  However, it could have been located outside the directory
+    structure to keep the DPDK structure intact.  In the following case,
     the helloworld application is copied to a new directory as a new starting
     point.
 
@@ -106,9 +106,9 @@ Running a Sample Application
 
 #.  Any ports to be used by the application must be already bound to the nic_uio module,
     as described in section :ref:`binding_network_ports`, prior to running the application.
-    The application is linked with the Intel® DPDK target environment's Environment
+    The application is linked with the DPDK target environment's Environment
     Abstraction Layer (EAL) library, which provides some options that are generic
-    to every Intel® DPDK application.
+    to every DPDK application.
 
 The following is the list of options that can be given to the EAL:
 
@@ -165,7 +165,7 @@ Other options, specific to Linux* and are not supported under FreeBSD* are as fo
 
 The -c and the -n options are mandatory; the others are optional.
 
-Copy the Intel® DPDK application binary to your target, then run the application
+Copy the DPDK application binary to your target, then run the application
 as follows (assuming the platform has four memory channels, and that cores 0-3
 are present and are to be used for running the application):
 
@@ -176,20 +176,20 @@ are present and are to be used for running the application):
 .. note::
 
     The --proc-type and --file-prefix EAL options are used for running multiple
-    Intel® DPDK processes.  See the “Multi-process Sample Application” chapter
-    in the *Intel® DPDK Sample Applications User Guide and the Intel® DPDK
+    DPDK processes.  See the “Multi-process Sample Application” chapter
+    in the *DPDK Sample Applications User Guide and the DPDK
     Programmers Guide* for more details.
 
 .. _running_non_root:
 
-Running Intel®DPDK Applications Without Root Privileges
--------------------------------------------------------
+Running DPDK Applications Without Root Privileges
+-------------------------------------------------
 
-Although applications using the Intel® DPDK use network ports and other hardware
+Although applications using the DPDK use network ports and other hardware
 resources directly, with a number of small permission adjustments, it is possible
 to run these applications as a user other than “root”.  To do so, the ownership,
 or permissions, on the following file system objects should be adjusted to ensure
-that the user account being used to run the Intel® DPDK application has access
+that the user account being used to run the DPDK application has access
 to them:
 
 *   The userspace-io device files in /dev, for example, /dev/uio0, /dev/uio1, and so on
@@ -198,4 +198,4 @@ to them:
 
 .. note::
 
-    Please refer to the Intel® DPDK Release Notes for supported applications.
+    Please refer to the DPDK Release Notes for supported applications.
diff --git a/doc/guides/freebsd_gsg/install_from_ports.rst b/doc/guides/freebsd_gsg/install_from_ports.rst
index c946c33..47e49b4 100644
--- a/doc/guides/freebsd_gsg/install_from_ports.rst
+++ b/doc/guides/freebsd_gsg/install_from_ports.rst
@@ -30,10 +30,10 @@
 
 .. _install_from_ports:
 
-Installing Intel® DPDK from the Ports Collection
-================================================
+Installing DPDK from the Ports Collection
+=========================================
 
-The easiest way to get up and running with the Intel® DPDK on FreeBSD is to
+The easiest way to get up and running with the DPDK on FreeBSD is to
 install it from the ports collection. Details of getting and using the ports
 collection are documented in the FreeBSD Handbook at:
 
@@ -45,10 +45,10 @@ collection are documented in the FreeBSD Handbook at:
     installation of the kernel sources, which should be included during the
     installation of FreeBSD*.
 
-Installing the Intel® DPDK FreeBSD Port
----------------------------------------
+Installing the DPDK FreeBSD Port
+--------------------------------
 
-On a system with the ports collection installed in /usr/ports, the Intel® DPDK
+On a system with the ports collection installed in /usr/ports, the DPDK
 can be installed using the commands:
 
 .. code-block:: console
@@ -57,8 +57,8 @@ can be installed using the commands:
 
     root@host:~ # make install
 
-After the installation of the Intel® DPDK port, instructions will be printed on
-how to install the kernel modules required to use the Intel® DPDK. A more
+After the installation of the DPDK port, instructions will be printed on
+how to install the kernel modules required to use the DPDK. A more
 complete version of these instructions can be found in the sections
 :ref:`loading_contigmem` and :ref:`loading_nic_uio`. Normally, lines like
 those below would be added to the file "/boot/loader.conf".
@@ -69,14 +69,14 @@ those below would be added to the file "/boot/loader.conf".
     hw.contigmem.num_buffers=2
     hw.contigmem.buffer_size=1073741824
     contigmem_load="YES"
-    # identify NIC devices for Intel® DPDK apps to use and load nic_uio driver
+    # identify NIC devices for DPDK apps to use and load nic_uio driver
     hw.nic_uio.bdfs="2:0:0,2:0:1"
     nic_uio_load="YES"
 
 Compiling and Running the Example Applications
 ----------------------------------------------
 
-When the Intel® DPDK has been installed from the ports collection it installs
+When the DPDK has been installed from the ports collection it installs
 its example applications in "/usr/local/share/dpdk/examples" - also accessible via
 symlink as "/usr/local/share/examples/dpdk". These examples can be compiled and
 run as described in :ref:`compiling_sample_apps`. In this case, the required
@@ -88,8 +88,8 @@ environmental variables should be set as below:
 
 .. note::
 
-	To install a copy of the Intel® DPDK compiled using gcc, please download the
-	official Intel® DPDK package from http://dpdk.org/ and install manually using
+	To install a copy of the DPDK compiled using gcc, please download the
+	official DPDK package from http://dpdk.org/ and install manually using
 	the instructions given in the next chapter, :ref:`building_from_source`
 
 An example application can therefore be copied to a user's home directory and
@@ -153,10 +153,10 @@ compiled and run as below:
 
 .. note::
 
-	To run an Intel® DPDK process as a non-root user, adjust the permissions on
+	To run a DPDK process as a non-root user, adjust the permissions on
 	the /dev/contigmem and /dev/uio device nodes as described in section
 	:ref:`running_non_root`
 
 .. note::
 	For an explanation of the command-line parameters that can be passed to an
-	Intel® DPDK application, see section :ref:`running_sample_app`.
+	DPDK application, see section :ref:`running_sample_app`.
diff --git a/doc/guides/freebsd_gsg/intro.rst b/doc/guides/freebsd_gsg/intro.rst
index 59c17cf..176358a 100644
--- a/doc/guides/freebsd_gsg/intro.rst
+++ b/doc/guides/freebsd_gsg/intro.rst
@@ -31,9 +31,9 @@
 Introduction
 ============
 
-This document contains instructions for installing and configuring the Intel®
-Data Plane Development Kit(Intel® DPDK) software.  It is designed to get customers
-up and running quickly and describes how to compile and run an Intel®
+This document contains instructions for installing and configuring the
+Data Plane Development Kit (DPDK) software. It is designed to get customers
+up and running quickly and describes how to compile and run a
 DPDK application in a FreeBSD* application (bsdapp) environment, without going
 deeply into detail.
 
@@ -44,22 +44,22 @@ handbook is available from the FreeBSD* Documentation Project:
 
 .. note::
 
-	The Intel® DPDK is now available as part of the FreeBSD ports collection.
+	The DPDK is now available as part of the FreeBSD ports collection.
 	Installing via the ports collection infrastructure is now the recommended
-	way to install the Intel® DPDK on FreeBSD, and is documented in the
+	way to install the DPDK on FreeBSD, and is documented in the
 	next chapter, :ref:`install_from_ports`.
 
 Documentation Roadmap
 ---------------------
 
-The following is a list of Intel® DPDK documents in the suggested reading order:
+The following is a list of DPDK documents in the suggested reading order:
 
 *   **Release Notes** : Provides release-specific information, including supported
     features, limitations, fixed issues, known issues and so on.  Also, provides the
     answers to frequently asked questions in FAQ format.
 
 *   **Getting Started Guide** (this document): Describes how to install and
-    configure the Intel® DPDK; designed to get users up and running quickly with the
+    configure the DPDK; designed to get users up and running quickly with the
     software.
 
 *   **Programmer's Guide**: Describes:
@@ -67,8 +67,8 @@ The following is a list of Intel® DPDK documents in the suggested reading order
     *   The software architecture and how to use it (through examples),
         specifically in a Linux* application (linuxapp) environment
 
-    *   The content of the Intel® DPDK, the build system (including the commands
-        that can be used in the root Intel® DPDK Makefile to build the development
+    *   The content of the DPDK, the build system (including the commands
+        that can be used in the root DPDK Makefile to build the development
         kit and an application) and guidelines for porting an application
 
     *   Optimizations used in the software and those that should be considered
@@ -76,7 +76,7 @@ The following is a list of Intel® DPDK documents in the suggested reading order
 
     A glossary of terms is also provided.
 
-*   **API Reference**: Provides detailed information about Intel® DPDK functions,
+*   **API Reference**: Provides detailed information about DPDK functions,
     data structures and other programming constructs.
 
 *   **Sample Applications User Guide**: Describes a set of sample applications.
@@ -86,4 +86,4 @@ The following is a list of Intel® DPDK documents in the suggested reading order
 .. note::
 
     These documents are available for download as a separate documentation
-    package at the same location as the Intel® DPDK code package.
+    package at the same location as the DPDK code package.